> For the complete documentation index, see [llms.txt](https://docs.ox.security/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.ox.security/api-documentation/api-reference/api--application/types/objects/pipeline.md).

# pipeline

Source type for application tool coverage information, indicating how security tools are integrated.

### Examples

```graphql
type Pipeline {
  jobId: String
  jobTriggeredAt: Float
  scanResult: PipelineScanResult
  issuesCount: Int
  jobTriggeredBy: String
  jobUrl: String
}
```

### Fields

| Field                                                                                                                    | Description                                                        | Supported fields |
| ------------------------------------------------------------------------------------------------------------------------ | ------------------------------------------------------------------ | ---------------- |
| jobId `String`                                                                                                           | The unique identifier of the job associated with the pipeline scan |                  |
| jobTriggeredAt `Float`                                                                                                   | The timestamp when the pipeline job was triggered                  |                  |
| scanResult [`PipelineScanResult`](/api-documentation/api-reference/api--application/types/enums/pipeline-scan-result.md) | The result of the pipeline scan                                    |                  |
| issuesCount `Int`                                                                                                        | The number of issues detected during the scan                      |                  |
| jobTriggeredBy `String`                                                                                                  | The user or system that triggered the pipeline job                 |                  |
| jobUrl `String`                                                                                                          | The URL link to the pipeline job details                           |                  |

### References

#### Fields with this object:

* [{} Application.pipeline](/api-documentation/api-reference/api--application/types/objects/application.md)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.ox.security/api-documentation/api-reference/api--application/types/objects/pipeline.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
